Summary:	Mouse and keyboard sharing utility
Name:		synergy
Version:	1.4.2
Release:	%mkrel 1
License:	GPLv2
Url:		http://synergy-foss.org/
Group:		Networking/Remote access
Source:		http://synergy.googlecode.com/files/synergy-%{version}-Source.tar.gz
Obsoletes:	synergy-plus < %{version}
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxinerama-devel
BuildRequires:	libxtst-devel
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	icoutils

%description
Synergy lets you easily share a single mouse and keyboard between
multiple computers with different operating systems, each with its
own display, without special hardware.  It's intended for users
with multiple computers on their desk since each system uses its
own display.

%package gui
Summary:	Qt based GUI for %{name}
Group:		Networking/Remote access
Requires:	%{name} = %{version}-%{release}
Provides:	qsynergy = %{version}-%{release}

%description gui
The Synergy GUI is based on QSynergy by Volker Lanz.

%prep
%setup -qn synergy-%{version}-Source

%build
pushd gui
	%qmake_qt4
	%make
popd

%cmake
%make

%install
rm -rf %{buildroot}

# binaries
install -D -m755 build/synergyc %{buildroot}%{_bindir}/synergyc
install -D -m755 build/synergys %{buildroot}%{_bindir}/synergys
install -D -m755 bin/qsynergy %{buildroot}%{_bindir}/qsynergy

# man pages
install -D -m644 doc/synergyc.man %{buildroot}%{_mandir}/man1/synergyc.1
install -D -m644 doc/synergys.man %{buildroot}%{_mandir}/man1/synergys.1

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat >> %{buildroot}%{_datadir}/applications/qsynergy.desktop << EOF
[Desktop Entry]
Name=Synergy
GenericName=Synergy GUI Frontend
Comment=Share your keyboard and mouse over a network
Exec=qsynergy
Icon=qsynergy
Type=Application
Categories=Qt;Utility;
EOF

# icon
icotool -x --palette-size=0 -o . gui/res/win/QSynergy.ico

for i in 16 24 32 48 256; do
	install -Dm644 QSynergy_?_${i}x${i}x32.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/qsynergy.png
done

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog README
%doc doc/synergy.conf.*
%{_bindir}/synergyc
%{_bindir}/synergys
%{_mandir}/man1/*

%files gui
%defattr(-,root,root)
%{_datadir}/applications/qsynergy.desktop
%{_iconsdir}/hicolor/*/apps/qsynergy.png
%{_bindir}/qsynergy


%changelog
* Sat Mar 26 2011 wally <wally> 1.4.2-1.mga1
+ Revision: 77777
- new version 1.4.2
- use upstream provided man pages
- create a subpackage for Qt based GUI

* Sat Mar 26 2011 wally <wally> 1.3.6-1.mga1
+ Revision: 77702
- drop buildroot definition
- uncompress S1 and S2
- clean .spec
- imported package synergy


* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 1.3.6-1mdv2011.0
+ Revision: 634737
- rename spec
- rename back to synergy
- New version 1.3.6

* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 1.3.4-2
+ Revision: 634683
- update BR

* Thu Sep 24 2009 Buchan Milne <bgmilne@mandriva.org> 1.3.4-1mdv2010.0
+ Revision: 448148
- import synergy-plus

